Skip to navigation

List Feature Libraries

List Feature Libraries

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt:desc

Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of a Feature Library. Restricts results to those with the specified name.
nameIncludesstringOptional
Name substring of a Feature Library. Restricts results to those with names that include the provided substring.
idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names.

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Response headers

Result-Countinteger
The total number of items that match the given query
x-rate-limit-limitinteger

The number of allowed requests in the current rate-limit period

x-rate-limit-remaininginteger

The number of requests remaining in the current rate-limit period

x-rate-limit-resetinteger

The number of seconds remaining in the current rate-limit period

Response

OK
nextTokenstringOptional
featureLibrarieslist of objectsOptional

Errors

400
Bad Request Error